CVE-2002-2168
CVSS7.5
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:32:30
NMCO    

[原文]SQL injection vulnerability in Thorsten Korner 123tkShop before 0.3.1 allows remote attackers to execute arbitrary SQL queries via various programs including function_describe_item1.inc.php.


[CNNVD]Thorsten Korner 123tkShop SQL注入漏洞(CNNVD-200212-710)

        Thorsten Korner 123tkShop 0.3.1版本存在SQL注入漏洞。远程攻击者借助各种包括function_describe_item1.inc.php的程序执行任意SQL查询。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:thorsten_korner:123tkshop:0.2
cpe:/a:thorsten_korner:123tkshop:0.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2168
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2168
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-710
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5244
(UNKNOWN)  BID  5244
http://www.iss.net/security_center/static/9582.php
(UNKNOWN)  XF  123tkshop-sql-injection(9582)
http://www.123tkshop.org/index.php
(UNKNOWN)  CONFIRM  http://www.123tkshop.org/index.php
http://online.securityfocus.com/archive/1/282404
(UNKNOWN)  BUGTRAQ  20020715 Again NULL and addslashes() (now in 123tkshop)

- 漏洞信息

Thorsten Korner 123tkShop SQL注入漏洞
高危 SQL注入
2002-12-31 00:00:00 2006-02-13 00:00:00
远程  
        Thorsten Korner 123tkShop 0.3.1版本存在SQL注入漏洞。远程攻击者借助各种包括function_describe_item1.inc.php的程序执行任意SQL查询。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息

59363
123tkShop function_describe_item1.inc.php Unspecified Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

123tkShop contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'function_describe_item1.inc.php' script not properly sanitizing user-supplied input to the unspecified parameter. This may allow an attacker to inject or manipulate SQL queries in the back-end database, allowing for the manipulation or disclosure of arbitrary data.

- 时间线

2002-07-15 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.3.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站